%define pyver %(python -c 'import sys ; print sys.version[:3]')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_pytho\n_lib()")}

Summary: Python bindings for gobjects
Name: pygobject2
Version: 2.12.1
Release: 1%{?dist}
License: LGPL
Group: Development/Languages
URL: ftp://ftp.gnome.org/pub/GNOME/sources/pygobject/2.10/
Source: pygobject-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires: glib2 >= 2.8
Requires: python2 >= 2.3.5
Buildrequires: python2-devel >= 2.3.5
Buildrequires: glib2-devel >= 2.8
# needed for automake/autoconf to work right with multilib python
Buildrequires: automake >= 1.6.3-5
Buildrequires: libtool

%description
Pygobjects is an extension module for python that gives you access to GLib's 
GObjects

%package devel
Summary: files needed to build addon gobject libraries such as pygtk
Group: Development/Languages
Requires: pygobject2 = %{version}
Requires: pkgconfig

%description devel
This package contains files required to build wrappers for gobject addon
libraries such as pygtk

%prep
%setup -q -n pygobject-%{version}

%build
%configure --enable-thread --disable-docs
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

rm examples/Makefile*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc AUTHORS NEWS README ChangeLog
%doc examples

%dir %{_libdir}/python%{pyver}/site-packages/gtk-2.0
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/dsextras.py*
%{_libdir}/python%{pyver}/site-packages/pygtk*

%defattr(755, root, root, 755)
%{_libdir}/python?.?/site-packages/gtk-2.0/gobject

%files devel
%defattr(644, root, root, 755)
%dir %{_prefix}/include/pygtk-2.0
%{_prefix}/include/pygtk-2.0/*.h
%{_libdir}/pkgconfig/pygobject-2.0.pc
%{_datadir}/gtk-doc/html/pygobject
%{_datadir}/pygobject

%changelog
* Tue Sep  5 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.1-1.fc6
- Update to 2.12.1
- Require pkgconfig for the -devel package

* Sun Aug 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.11.4-1.fc6
- Update to 2.11.4
- Use pre-built docs

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.11.3-1.fc6
- Update to 2.11.3

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.11.2-2.fc6
- BR libxslt

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.11.2-1.fc6
- Update to 2.11.2

* Wed Jul 19 2006 Jesse Keating <jkeating@redhat.com> - 2.11.0-2
- rebuild

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.11.0-1
- Update to 2.11.0

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.10.1-3
- rebuild
- Add missing br libtool

* Fri May 19 2006 John (J5) Palmieri <johnp@redhat.com> - 2.10.1-2
- Cleanup

* Fri May 12 2006 John (J5) Palmieri <johnp@redhat.com> - 2.10.1-1
- Initial package
